%define name3 python3-qt4

# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Name: python-qt4
Summary: Set of Python bindings for Trolltech's Qt application framework
Version: 4.10.3
Release: %mkrel 3
Group: Development/KDE and Qt
URL: http://www.riverbankcomputing.co.uk/software/pyqt/intro
Source0:  http://downloads.sourceforge.net/pyqt/PyQt-x11-gpl-%version.tar.gz
License: GPLv2+
BuildRequires: qt4-devel >= 4:4.5.1
BuildRequires: pkgconfig(QtWebKit) >= 4.5.1
BuildRequires: qt-assistant-adp-devel
BuildRequires: pkgconfig(dbus-python)
BuildRequires: pkgconfig(dbus-1)
BuildRequires: python-sip >= 1:4.14.3
BuildRequires: sed
BuildRequires: pkgconfig(phonon)
BuildRequires: pkgconfig(python)
BuildRequires: python3-sip-devel >= 1:4.14.3
BuildRequires: pkgconfig(python3)
BuildRequires: dbus-python3
Provides: PyQt4 = %version-%release
Requires: %{name}-core = %{version}
Requires: %{name}-dbus = %{version}
Requires: %{name}-declarative = %{version}
Requires: %{name}-designer = %{version}
Requires: %{name}-gui = %{version}
Requires: %{name}-multimedia = %{version}
Requires: %{name}-network = %{version}
Requires: %{name}-opengl = %{version}
Requires: %{name}-script = %{version}
Requires: %{name}-sql = %{version}
Requires: %{name}-svg = %{version}
Requires: %{name}-test = %{version}
Requires: %{name}-webkit = %{version}
Requires: %{name}-xml = %{version}
Requires: %{name}-xmlpatterns = %{version}

%description
PyQt is a set of Python bindings for Trolltech's Qt application framework

%files

#------------------------------------------------------------

%package -n %{name3}
Summary: Set of Python3 bindings for Trolltech's Qt application framework
Group: Development/KDE and Qt
Provides: python3-PyQt4 = %version-%release
Requires: %{name3}-core = %{version}
Requires: %{name3}-dbus = %{version}
Requires: %{name3}-declarative = %{version}
Requires: %{name3}-designer = %{version}
Requires: %{name3}-gui = %{version}
Requires: %{name3}-multimedia = %{version}
Requires: %{name3}-network = %{version}
Requires: %{name3}-opengl = %{version}
Requires: %{name3}-script = %{version}
Requires: %{name3}-sql = %{version}
Requires: %{name3}-svg = %{version}
Requires: %{name3}-test = %{version}
Requires: %{name3}-webkit = %{version}
Requires: %{name3}-xml = %{version}
Requires: %{name3}-xmlpatterns = %{version}

%description -n %{name3}
PyQt is a set of Python3 bindings for Trolltech's Qt application framework

%files -n %{name3}

#------------------------------------------------------------

%package core
Summary: PyQt 4 core
Group: Development/KDE and Qt
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description core
PyQt 4 core

%files core
%dir %py_platsitedir/PyQt4
%py_platsitedir/PyQt4/uic
%py_platsitedir/PyQt4/__init__.py*
%py_platsitedir/PyQt4/pyqtconfig.py*
%py_puresitedir/dbus/*
%py_platsitedir/PyQt4/Qt.so
%py_platsitedir/PyQt4/QtCore.so
%_datadir/sip/PyQt4/Qt
%_datadir/sip/PyQt4/QtCore
%qt4dir/qsci/api/python/PyQt4.api

#------------------------------------------------------------

%package dbus
Summary: PyQt 4 dbus
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description dbus
PyQt 4 dbus

%files dbus
%py_platsitedir/PyQt4/QtDBus.so
%_datadir/sip/PyQt4/QtDBus

#------------------------------------------------------------

%package declarative
Summary: PyQt 4 declarative
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description declarative
PyQt 4 declarative

%files declarative
%py_platsitedir/PyQt4/QtDeclarative.so
%_datadir/sip/PyQt4/QtDeclarative

#------------------------------------------------------------

%package assistant
Summary: PyQt 4 assistant
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description assistant
PyQt 4 assistant

%files assistant
%py_platsitedir/PyQt4/QtAssistant.so
%_datadir/sip/PyQt4/QtAssistant

#------------------------------------------------------------

%package gui
Summary: PyQt 4 gui
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description gui
PyQt 4 gui

%files gui
%py_platsitedir/PyQt4/QtGui.so
%_datadir/sip/PyQt4/QtGui

#------------------------------------------------------------

%package network
Summary: PyQt 4 network
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description network
PyQt 4 network

%files network
%py_platsitedir/PyQt4/QtNetwork.so
%_datadir/sip/PyQt4/QtNetwork

#------------------------------------------------------------

%package help
Summary: PyQt 4 help
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description help
PyQt 4 help

%files help
%py_platsitedir/PyQt4/QtHelp.so
%_datadir/sip/PyQt4/QtHelp

#------------------------------------------------------------

%package opengl
Summary: PyQt 4 opengl
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description opengl
PyQt 4 opengl

%files opengl
%py_platsitedir/PyQt4/QtOpenGL.so
%_datadir/sip/PyQt4/QtOpenGL

#------------------------------------------------------------

%package multimedia
Summary: PyQt 4 multimedia
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description multimedia
PyQt 4 multimedia

%files multimedia
%py_platsitedir/PyQt4/QtMultimedia.so
%_datadir/sip/PyQt4/QtMultimedia

#------------------------------------------------------------

%package script
Summary: PyQt 4 script
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description script
PyQt 4 script

%files script
%py_platsitedir/PyQt4/QtScript.so
%_datadir/sip/PyQt4/QtScript

#------------------------------------------------------------

%package sql
Summary: PyQt 4 sql
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description sql
PyQt 4 sql

%files sql
%py_platsitedir/PyQt4/QtSql.so
%_datadir/sip/PyQt4/QtSql

#------------------------------------------------------------

%package svg
Summary: PyQt 4 svg
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description svg
PyQt 4 svg

%files svg
%py_platsitedir/PyQt4/QtSvg.so
%_datadir/sip/PyQt4/QtSvg

#------------------------------------------------------------

%package test
Summary: PyQt 4 test
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description test
PyQt 4 test

%files test
%py_platsitedir/PyQt4/QtTest.so
%_datadir/sip/PyQt4/QtTest

#------------------------------------------------------------

%package webkit
Summary: PyQt 4 Webkit
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description webkit
PyQt 4 webkit

%files webkit
%py_platsitedir/PyQt4/QtWebKit.so
%_datadir/sip/PyQt4/QtWebKit

#------------------------------------------------------------

%package xml
Summary: PyQt 4 xml
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description xml
PyQt 4 xml

%files xml
%py_platsitedir/PyQt4/QtXml.so
%_datadir/sip/PyQt4/QtXml

#------------------------------------------------------------

%package xmlpatterns
Summary: PyQt 4 xmlpatterns
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description xmlpatterns
PyQt 4 xmlpatterns

%files xmlpatterns
%py_platsitedir/PyQt4/QtXmlPatterns.so
%_datadir/sip/PyQt4/QtXmlPatterns

#------------------------------------------------------------

%package scripttools
Summary: PyQt 4 scripttools
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description scripttools
PyQt 4 scripttools

%files scripttools
%py_platsitedir/PyQt4/QtScriptTools.so
%_datadir/sip/PyQt4/QtScriptTools

#------------------------------------------------------------

%package designer
Summary: PyQt 4 designer
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description designer
PyQt 4 designer

%files designer
%py_platsitedir/PyQt4/QtDesigner.so
%_datadir/sip/PyQt4/QtDesigner


#------------------------------------------------------------

%package phonon
Summary: PyQt 4 phonon
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description phonon
PyQt 4 phonon

%files phonon
%py_platsitedir/PyQt4/phonon.so
%_datadir/sip/PyQt4/phonon

#------------------------------------------------------------

%package doc
Summary: PyQt 4 documentation
Group: Development/KDE and Qt
Buildarch: noarch

%description doc
PyQt 4 documentation

%files doc
%doc %_docdir/%name
%exclude %_docdir/%name/examples
#------------------------------------------------------------

%package examples
Summary: PyQt 4 examples
Group: Development/KDE and Qt
BuildArch: noarch

%description examples
PyQt 4 examples

%files examples
%doc %_docdir/%name/examples

#------------------------------------------------------------

%package devel
Summary: PyQt 4 devel
Group: Development/KDE and Qt
Requires: %{name} = %{version}
Requires: qt4-designer

%description devel
PyQt 4 devel utilities

%files devel
%_bindir/pyuic4
%_bindir/pyrcc4
%_bindir/pylupdate4
%qt4plugins/designer/*

#------------------------------------------------------------

%package -n %{name3}-core
Summary: PyQt 4 core
Group: Development/KDE and Qt
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{name3}-core
PyQt 4 core

%files -n %{name3}-core
%dir %py3_platsitedir/PyQt4
%py3_platsitedir/PyQt4/uic
%py3_platsitedir/PyQt4/__init__.py*
%py3_platsitedir/PyQt4/__pycache__/__init__.*
%py3_platsitedir/PyQt4/pyqtconfig.py*
%py3_platsitedir/PyQt4/__pycache__/pyqtconfig.*
%py3_puresitedir/dbus/*
%py3_platsitedir/PyQt4/Qt.so
%py3_platsitedir/PyQt4/QtCore.so
%_datadir/python3-sip/PyQt4/Qt
%_datadir/python3-sip/PyQt4/QtCore
%qt4dir/qsci/api/python/PyQt4.api

#------------------------------------------------------------

%package -n %{name3}-dbus
Summary: PyQt 4 dbus
Group: Development/KDE and Qt
Requires: %{name3}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{name3}-dbus
PyQt 4 dbus

%files -n %{name3}-dbus
%py3_platsitedir/PyQt4/QtDBus.so
%_datadir/python3-sip/PyQt4/QtDBus

#------------------------------------------------------------

%package -n %{name3}-declarative
Summary: PyQt 4 declarative
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{name3}-declarative
PyQt 4 declarative

%files -n %{name3}-declarative
%py3_platsitedir/PyQt4/QtDeclarative.so
%_datadir/python3-sip/PyQt4/QtDeclarative

#------------------------------------------------------------

%package -n %{name3}-assistant
Summary: PyQt 4 assistant
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{name3}-assistant
PyQt 4 assistant

%files -n %{name3}-assistant
%py3_platsitedir/PyQt4/QtAssistant.so
%_datadir/python3-sip/PyQt4/QtAssistant

#------------------------------------------------------------

%package -n %{name3}-gui
Summary: PyQt 4 gui
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{name3}-gui
PyQt 4 gui

%files -n %{name3}-gui
%py3_platsitedir/PyQt4/QtGui.so
%_datadir/python3-sip/PyQt4/QtGui

#------------------------------------------------------------

%package -n %{name3}-network
Summary: PyQt 4 network
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{name3}-network
PyQt 4 network

%files -n %{name3}-network
%py3_platsitedir/PyQt4/QtNetwork.so
%_datadir/python3-sip/PyQt4/QtNetwork

#------------------------------------------------------------

%package -n %{name3}-help
Summary: PyQt 4 help
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{name3}-help
PyQt 4 help

%files -n %{name3}-help
%py3_platsitedir/PyQt4/QtHelp.so
%_datadir/python3-sip/PyQt4/QtHelp

#------------------------------------------------------------

%package -n %{name3}-opengl
Summary: PyQt 4 opengl
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{name3}-opengl
PyQt 4 opengl

%files -n %{name3}-opengl
%py3_platsitedir/PyQt4/QtOpenGL.so
%_datadir/python3-sip/PyQt4/QtOpenGL

#------------------------------------------------------------

%package -n %{name3}-multimedia
Summary: PyQt 4 multimedia
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{name3}-multimedia
PyQt 4 multimedia

%files -n %{name3}-multimedia
%py3_platsitedir/PyQt4/QtMultimedia.so
%_datadir/python3-sip/PyQt4/QtMultimedia

#------------------------------------------------------------

%package -n %{name3}-script
Summary: PyQt 4 script
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{name3}-script
PyQt 4 script

%files -n %{name3}-script
%py3_platsitedir/PyQt4/QtScript.so
%_datadir/python3-sip/PyQt4/QtScript

#------------------------------------------------------------

%package -n %{name3}-sql
Summary: PyQt 4 sql
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{name3}-sql
PyQt 4 sql

%files -n %{name3}-sql
%py3_platsitedir/PyQt4/QtSql.so
%_datadir/python3-sip/PyQt4/QtSql

#------------------------------------------------------------

%package -n %{name3}-svg
Summary: PyQt 4 svg
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{name3}-svg
PyQt 4 svg

%files -n %{name3}-svg
%py3_platsitedir/PyQt4/QtSvg.so
%_datadir/python3-sip/PyQt4/QtSvg

#------------------------------------------------------------

%package -n %{name3}-test
Summary: PyQt 4 test
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{name3}-test
PyQt 4 test

%files -n %{name3}-test
%py3_platsitedir/PyQt4/QtTest.so
%_datadir/python3-sip/PyQt4/QtTest

#------------------------------------------------------------

%package -n %{name3}-webkit
Summary: PyQt 4 Webkit
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{name3}-webkit
PyQt 4 webkit

%files -n %{name3}-webkit
%py3_platsitedir/PyQt4/QtWebKit.so
%_datadir/python3-sip/PyQt4/QtWebKit

#------------------------------------------------------------

%package -n %{name3}-xml
Summary: PyQt 4 xml
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{name3}-xml
PyQt 4 xml

%files -n %{name3}-xml
%py3_platsitedir/PyQt4/QtXml.so
%_datadir/python3-sip/PyQt4/QtXml

#------------------------------------------------------------

%package -n %{name3}-xmlpatterns
Summary: PyQt 4 xmlpatterns
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{name3}-xmlpatterns
PyQt 4 xmlpatterns

%files -n %{name3}-xmlpatterns
%py3_platsitedir/PyQt4/QtXmlPatterns.so
%_datadir/python3-sip/PyQt4/QtXmlPatterns

#------------------------------------------------------------

%package -n %{name3}-scripttools
Summary: PyQt 4 scripttools
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{name3}-scripttools
PyQt 4 scripttools

%files -n %{name3}-scripttools
%py3_platsitedir/PyQt4/QtScriptTools.so
%_datadir/python3-sip/PyQt4/QtScriptTools

#------------------------------------------------------------

%package -n %{name3}-designer
Summary: PyQt 4 designer
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{name3}-designer
PyQt 4 designer

%files -n %{name3}-designer
%py3_platsitedir/PyQt4/QtDesigner.so
%_datadir/python3-sip/PyQt4/QtDesigner


#------------------------------------------------------------

%package -n %{name3}-phonon
Summary: PyQt 4 phonon
Group: Development/KDE and Qt
Requires: %{name}-core = %{version}
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{name3}-phonon
PyQt 4 phonon

%files -n %{name3}-phonon
%py3_platsitedir/PyQt4/phonon.so
%_datadir/python3-sip/PyQt4/phonon

#------------------------------------------------------------

%package -n %{name3}-doc
Summary: PyQt 4 documentation
Group: Development/KDE and Qt
Buildarch: noarch

%description -n %{name3}-doc
PyQt 4 documentation

%files -n %{name3}-doc
%doc %_docdir/%name3
%exclude %_docdir/%name3/examples
#------------------------------------------------------------

%package -n %{name3}-examples
Summary: PyQt 4 examples
Group: Development/KDE and Qt
BuildArch: noarch

%description -n %{name3}-examples
PyQt 4 examples

%files -n %{name3}-examples
%doc %_docdir/%name3/examples

#------------------------------------------------------------

%package -n %{name3}-devel
Summary: PyQt 4 devel
Group: Development/KDE and Qt
Requires: %{name3} = %{version}
Requires: qt4-designer

%description -n %{name3}-devel
PyQt 4 devel utilities

%files devel
%_bindir/pyuic4
%_bindir/pyrcc4
%_bindir/pylupdate4
%qt4plugins/designer/*

#------------------------------------------------------------

%prep
%setup -q -n PyQt-x11-gpl-%version
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
export QTDIR=%qt4dir
export PATH=%qt4dir/bin:$PATH
export CFLAGS='%{optflags} -fPIC' 
export CXXFLAGS='%{optflags} -fPIC'

# Python 2 build:
python ./configure.py \
	--qsci-api \
	--confirm-license
	
# Some modules not requires X libraries
# Python sip not diferentiate qt modules and always add a X set of 
# libs to link. We're explicitely this unecessary links
# Using same approach to add missin libpython linh

for name in Qt dbus phonon QtAssistant QtCore QtDBus QtDeclarative QtGui QtMultimedia QtNetwork QtOpenGL QtWebKit QtScript QtSvg QtSql QtDesigner QtTest QtXml QtXmlPatterns QtHelp QtScriptTools; do
    sed -i "s,^LIBS = ,LIBS = $(python-config --libs) ,g" ${name}/Makefile
    sed -i "s#^LFLAGS = #LFLAGS = %ldflags #g" ${name}/Makefile
done
sed -i "s,/usr/lib/qt4/include/phonon,/usr/include/phonon,g" phonon/Makefile
sed -i "s#^LFLAGS = #LFLAGS = %ldflags #g" designer/Makefile pyrcc/Makefile
%make

# Python 3 build:
pushd %{py3dir}
%{__python3} ./configure.py \
	--qsci-api \
	--confirm-license
	
# Some modules not requires X libraries
# Python sip not diferentiate qt modules and always add a X set of 
# libs to link. We're explicitely this unecessary links
# Using same approach to add missin libpython linh

for name in Qt dbus phonon QtAssistant QtCore QtDBus QtDeclarative QtGui QtMultimedia QtNetwork QtOpenGL QtWebKit QtScript QtSvg QtSql QtDesigner QtTest QtXml QtXmlPatterns QtHelp QtScriptTools; do
    sed -i "s,^LIBS = ,LIBS = $(python3-config --libs) ,g" ${name}/Makefile
    sed -i "s#^LFLAGS = #LFLAGS = %ldflags #g" ${name}/Makefile
done
sed -i "s,/usr/lib/qt4/include/phonon,/usr/include/phonon,g" phonon/Makefile
sed -i "s#^LFLAGS = #LFLAGS = %ldflags #g" designer/Makefile pyrcc/Makefile
%make
popd

%install
# Install Python 3 first, and move aside any executables, to avoid clobbering
# the Python 2 installation:
pushd %{py3dir}
%makeinstall_std INSTALL_ROOT=%{buildroot}
mkdir -p %buildroot%_docdir/%name3
    cp -fr doc/html/* %buildroot%_docdir/%name3/

mkdir %buildroot%_docdir/%name3/examples
    cp -fr examples/* %buildroot%_docdir/%name3/examples/ 

popd

%makeinstall_std INSTALL_ROOT=%{buildroot}

mkdir -p %buildroot%_docdir/%name
    cp -fr doc/html/* %buildroot%_docdir/%name/

mkdir %buildroot%_docdir/%name/examples
    cp -fr examples/* %buildroot%_docdir/%name/examples/ 

# remove Python 3 code from Python 2.6 directory, fixes FTBFS (#564633)
rm -rf %{buildroot}%{python_sitearch}/PyQt4/uic/port_v3/

# likewise, remove Python 2 code from the Python 3.1 directory:
rm -rf %{buildroot}%{python3_sitearch}/PyQt4/uic/port_v2/



%changelog
* Mon Oct 21 2013 umeabot <umeabot> 4.10.3-3.mga4
+ Revision: 541047
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 luigiwalser <luigiwalser> 4.10.3-2.mga4
+ Revision: 494990
- add bytecompiled .py files
- do not provide private python extension libs

* Thu Aug 29 2013 fwang <fwang> 4.10.3-1.mga4
+ Revision: 472827
- patch merged upstream
- new version 4.10.3

* Sat Jun 29 2013 philippem <philippem> 4.10.2-3.mga4
+ Revision: 448247
- add Python3

  + fwang <fwang>
    - fix typo

* Tue Jun 18 2013 fwang <fwang> 4.10.2-2.mga4
+ Revision: 444294
- rebuild for new sip

* Tue Jun 18 2013 fwang <fwang> 4.10.2-1.mga4
+ Revision: 444288
- new version 4.10.2

* Sun Jun 09 2013 fwang <fwang> 4.10.1-1.mga4
+ Revision: 441316
- new version 4.10.1
- new version 4.10.1

* Sun Jan 13 2013 umeabot <umeabot> 4.9.6-4.mga3
+ Revision: 379425
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 09 2012 fwang <fwang> 4.9.6-3.mga3
+ Revision: 329231
- more ldflags promotion

* Sun Dec 09 2012 fwang <fwang> 4.9.6-2.mga3
+ Revision: 329227
- fix typo
- fix typo
- promote ldflags

* Sun Dec 09 2012 fwang <fwang> 4.9.6-1.mga3
+ Revision: 329174
- bump req
- new version 4.9.6

* Sat Dec 08 2012 fwang <fwang> 4.9.5-2.mga3
+ Revision: 328074
- move sip requires into component

* Tue Oct 09 2012 fwang <fwang> 4.9.5-1.mga3
+ Revision: 303732
- drop merged patch
- new version 4.9.5

* Sat Sep 08 2012 neoclust <neoclust> 4.9.4-1.mga3
+ Revision: 290473
- New minor release 4.9.4

* Wed Aug 15 2012 juancho <juancho> 4.9.3-4.mga3
+ Revision: 281448
- Added patch to fix custom widgets bug that prevents weboob from building (see comments in spec for more details).
- Crap, I commited wrong window, I just reverted the commit, sorry
- Added Requires for python-qt4-gui and python-sip to fix bug 6632

* Fri Jul 20 2012 neoclust <neoclust> 4.9.3-3.mga3
+ Revision: 272726
- Add an example subpackage ( mga #6661 )

  + fwang <fwang>
    - doc should be a noarch package

* Wed Jul 18 2012 neoclust <neoclust> 4.9.3-2.mga3
+ Revision: 272146
- Add a documentation subpackage ( mga #6660)

* Mon Jun 25 2012 fwang <fwang> 4.9.3-1.mga3
+ Revision: 263399
- new version 4.9.3

* Mon Feb 13 2012 fwang <fwang> 4.9.1-1.mga2
+ Revision: 208396
- new version 4.9.1

* Tue Dec 27 2011 fwang <fwang> 4.9-2.mga2
+ Revision: 188107
- rebuild for new qt

* Mon Dec 26 2011 fwang <fwang> 4.9-1.mga2
+ Revision: 187694
- add dbus sub package
- fix linkage
- new version 4.9

* Sun Dec 18 2011 fwang <fwang> 4.8.6-2.mga2
+ Revision: 183603
- versioned br
- br qtwebkit

* Mon Oct 31 2011 fwang <fwang> 4.8.6-1.mga2
+ Revision: 160346
- new version 4.8.6
- new version 4.8.5

* Fri Jun 17 2011 fwang <fwang> 4.8.4-1.mga2
+ Revision: 108611
- bump req of sip
- New version 4.8.4
- drop unused patch

* Fri Mar 25 2011 ahmad <ahmad> 4.8.3-2.mga1
+ Revision: 77433
- change the runtime sip requires to require the correct sip-api (to cope with
  the changes in python-sip)

* Fri Mar 25 2011 ahmad <ahmad> 4.8.3-1.mga1
+ Revision: 77230
- update to 4.8.3
- rediff test64
- bump python-sip requires
- use the current qt4 Epoch in the qt4-devel BR

* Sun Jan 16 2011 misc <misc> 4.8.2-2.mga1
+ Revision: 20555
- rebuild for new python 2.7

* Sat Jan 15 2011 ahmad <ahmad> 4.8.2-1.mga1
+ Revision: 19758
- imported package python-qt4


* Fri Dec 24 2010 Funda Wang <fwang@mandriva.org> 4.8.2-1mdv2011.0
+ Revision: 624592
- new version 4.8.2

* Sat Oct 30 2010 Funda Wang <fwang@mandriva.org> 4.8.1-1mdv2011.0
+ Revision: 590553
- new version 4.8.1

* Fri Oct 29 2010 Funda Wang <fwang@mandriva.org> 4.8-1mdv2011.0
+ Revision: 589912
- new version 4.8

* Sat Oct 09 2010 Funda Wang <fwang@mandriva.org> 4.7.7-2mdv2011.0
+ Revision: 584423
- add upstream patch to fix build pykde

* Mon Oct 04 2010 Funda Wang <fwang@mandriva.org> 4.7.7-1mdv2011.0
+ Revision: 583028
- new version 4.7.7
- versioned requires

* Wed Sep 01 2010 Funda Wang <fwang@mandriva.org> 4.7.5-1mdv2011.0
+ Revision: 575000
- new version 4.75

* Sat Jul 31 2010 Funda Wang <fwang@mandriva.org> 4.7.4-3mdv2011.0
+ Revision: 563952
- still build python-assistant but do not promote it as of deprecated module

* Tue Jul 27 2010 Funda Wang <fwang@mandriva.org> 4.7.4-2mdv2011.0
+ Revision: 562058
- rebuild for qt4.7 (assistant not there anymore)

* Wed Jul 14 2010 Funda Wang <fwang@mandriva.org> 4.7.4-1mdv2011.0
+ Revision: 552993
- rework link patch
- New version 4.7.4

* Tue Apr 27 2010 Christophe Fergeau <cfergeau@mandriva.com> 4.7.3-2mdv2010.1
+ Revision: 539596
- rebuild so that shared libraries are properly stripped again

* Sun Apr 25 2010 Guillaume Rousse <guillomovitch@mandriva.org> 4.7.3-1mdv2010.1
+ Revision: 538784
- update to new version 4.7.3

  + Funda Wang <fwang@mandriva.org>
    - link LIBS rather than LDFLAGS

* Thu Mar 18 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.7.2-1mdv2010.1
+ Revision: 524982
- Fix file list
- Add patch to fix build against phonon headers
- Add phonon-devel as buildrequires

  + Colin Guthrie <cguthrie@mandriva.org>
    - Fix phonon build by tweaking the Qt-phonon include path to our one and fixing the link libraries.

  + Funda Wang <fwang@mandriva.org>
    - bump req
    - New version 4.7.2

* Thu Jan 21 2010 Funda Wang <fwang@mandriva.org> 4.7-1mdv2010.1
+ Revision: 494592
- add multimedia module
- New version 4.7 final

* Sat Jan 09 2010 Funda Wang <fwang@mandriva.org> 4.7-0.20091231.2mdv2010.1
+ Revision: 488121
- rebuild for new sip

* Fri Jan 08 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.7-0.20091231.1mdv2010.1
+ Revision: 487425
- New snapshot

* Mon Nov 23 2009 Funda Wang <fwang@mandriva.org> 4.6.2-1mdv2010.1
+ Revision: 469306
- new version 4.6.2

* Sat Oct 24 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.6.1-1mdv2010.0
+ Revision: 459149
- Update to version 4.6.1 - Bugfix version

* Mon Sep 28 2009 Funda Wang <fwang@mandriva.org> 4.6-1mdv2010.0
+ Revision: 450451
- bump sip requires
- new version 4.6

* Mon Sep 28 2009 Olivier Blin <oblin@mandriva.com> 4.5.4-2mdv2010.0
+ Revision: 450313
- fix real implementation on arm & mips since the qreal stuff is
  broken on these arches (from Arnaud Patard, patch from Debian)

* Wed Aug 12 2009 Frederik Himpe <fhimpe@mandriva.org> 4.5.4-1mdv2010.0
+ Revision: 415693
- update to new version 4.5.4

* Wed Jul 15 2009 Funda Wang <fwang@mandriva.org> 4.5.2-1mdv2010.0
+ Revision: 396101
- new version 4.5.2

* Thu Jul 09 2009 Helio Chissini de Castro <helio@mandriva.com> 4.5.1-2mdv2010.0
+ Revision: 393948
- Fix build against new Qt 4.5.2 and proper handle python libraries

* Thu Jun 18 2009 Helio Chissini de Castro <helio@mandriva.com> 4.5.1-1mdv2010.0
+ Revision: 387133
- Bugfix release 4.8.1

* Sat Jun 06 2009 Funda Wang <fwang@mandriva.org> 4.5-1mdv2010.0
+ Revision: 383209
- 4.5 final

* Sat May 30 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.5-0.20090527.2mdv2010.0
+ Revision: 381218
- Fix file list and link
- Bump release
- New snapshot
- New snapshot
- Versionnate python-sip requires

* Sun May 03 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.5-0.20090502.1mdv2010.0
+ Revision: 370959
- Fix Build
  Versionnate python-sip
- Update to 4.5 snapshot

* Sun Mar 01 2009 Helio Chissini de Castro <helio@mandriva.com> 4.4.4-6mdv2009.1
+ Revision: 346252
- Fix compilation for 2009.0 and cooker
- Added help module. Added back scintilla

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 4.4.4-2mdv2009.1
+ Revision: 318788
- fix str fmt
- fix spec
- rebuild for new python

* Sun Nov 09 2008 Funda Wang <fwang@mandriva.org> 4.4.4-1mdv2009.1
+ Revision: 301260
- rediff patch
- bump sip req
- new version 4.4.4

* Sat Aug 09 2008 Funda Wang <fwang@mandriva.org> 4.4.3-1mdv2009.0
+ Revision: 270023
- New version 4.4.3
- decrease sip BR
- fix url and source url

* Wed Jul 16 2008 Helio Chissini de Castro <helio@mandriva.com> 4.4.2-2mdv2009.0
+ Revision: 236225
- We have XmlPatterns enabled now in Qt4

* Thu May 22 2008 Funda Wang <fwang@mandriva.org> 4.4.2-1mdv2009.0
+ Revision: 209969
- BR dbus
- New version 4.4.2

  + David Walluck <walluck@mandriva.org>
    - fix PYTHON_LIB setting
    - 4.4-snapshot-20080424

* Tue Feb 19 2008 Thierry Vignaud <tv@mandriva.org> 4.3.3-2mdv2008.1
+ Revision: 173106
- fix percent-in-provides
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 12 2007 Helio Chissini de Castro <helio@mandriva.com> 4.3.3-1mdv2008.1
+ Revision: 117851
- New python qt4 to match kde4 bindings and new qt 4.3.3

* Sun Nov 18 2007 Funda Wang <fwang@mandriva.org> 4.3.1-1mdv2008.1
+ Revision: 109942
- New version 4.3.1
- fix Source url

* Tue Aug 21 2007 Helio Chissini de Castro <helio@mandriva.com> 4.3-4mdv2008.0
+ Revision: 68698
- Removed last invalid X requires

* Tue Aug 21 2007 Helio Chissini de Castro <helio@mandriva.com> 4.3-3mdv2008.0
+ Revision: 68165
- Fixed test for designer plugin in 64

* Tue Aug 21 2007 Helio Chissini de Castro <helio@mandriva.com> 4.3-1mdv2008.0
+ Revision: 68146
- Adde designer plugin
- import python-qt4-4.3-1mdv2008.0

  + David Walluck <walluck@mandriva.org>
    - BuildRequires: python-dbus


